---
title: contextMenu
---

<section class="container container_m">
  <ul class="contextMenu">
    <li class="contextMenu_item"><a href="/">Item 1</a></li>
    <li class="contextMenu_item"><a href="/">Item 2</a></li>
    <li class="contextMenu_item"><a href="/">Item 3</a></li>
    <li class="contextMenu_item">
      <button class="contextMenu_btn">
        Item 4
      </button>
    </li>
  </ul>
  <p>text text text text text text text text text text text text text text text text text text text text text text text text
  text text text text text text text text text text text text text text text text text text text text text text text text
  text text</p>
</section>


<script>
  const menu = document.querySelector(".contextMenu");

  window.addEventListener("click", () => {
    menu.style.display = "none";
  });

  window.addEventListener("contextmenu", (event) => {
    event.preventDefault();
    menu.style.left = event.pageX + 'px';
    menu.style.top = event.pageY + 'px';
    menu.style.display = "block";
  });
</script>
